# confadd Struct Reference

`#include <pci.h>`

## Data Fields

uInt8 | bus:8
uInt8 | dev:5
uInt8 | enable:1
uInt8 | func:3
uInt8 | reg:8
uInt8 | rsvd:7

## Detailed Description

Definition at line 68 of file pci.h.

## Field Documentation

uInt8 confadd::bus

Definition at line 72 of file pci.h.

Referenced by pci_init().

uInt8 confadd::dev

Definition at line 71 of file pci.h.

Referenced by pci_init().

uInt8 confadd::enable

Definition at line 74 of file pci.h.

uInt8 confadd::func

Definition at line 70 of file pci.h.

Referenced by pci_init().

uInt8 confadd::reg

Definition at line 69 of file pci.h.

uInt8 confadd::rsvd

Definition at line 73 of file pci.h.

The documentation for this struct was generated from the following file:

- src/sys/include/pci/pci.h